# Don't provide plugin .so
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

%define url_ver %(echo %{version} | cut -d. -f1,2)

%define api	2.0
%define major	4
%define libname	%mklibname xfce4panel %{api} %{major}
%define devname	%mklibname xfce4panel %{api} -d

%define gmajor	2.0
%define girname	%mklibname xfce4panel-gir %{gmajor}

Summary:	A Xfce panel
Name:		xfce4-panel
Version:	4.18.6
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/XFCE
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/xfce4-panel/%{url_ver}/%{name}-%{version}.tar.xz
Source1:    default.xml
BuildRequires: intltool
BuildRequires: xfce4-dev-tools
BuildRequires: vala-tools
BuildRequires: vala-devel
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64girepository-devel
BuildRequires: lib64wnck3-devel
BuildRequires: lib64exo-devel
BuildRequires: lib64garcon-devel
BuildRequires: lib64xfce4ui2-devel
BuildRequires: lib64xfce4util-devel
BuildRequires: lib64xfconf-devel

Obsoletes:	xfce4-embed-plugin
Obsoletes:	xfce4-equake-plugin
Obsoletes:	xfce4-hamster-plugin
Obsoletes:	xfce4-hotcorner-plugin
Obsoletes:	xfce4-linelight-plugin
Obsoletes:	xfce4-mailwatch-plugin
Obsoletes:	xfce4-quicklauncher-plugin
Obsoletes:	xfce4-statusnotifier-plugin
Obsoletes: %{name}-doc

%description
The Xfce 4 Panel supports multiple panels, with many options
for their position, appearance, transparency and behavior.
There are many items available by default to full fit a panel,
like application launchers with detachable menus, a graphical pager,
a tasklist, a clock, a system tray, a show/hide desktop switcher,
and even more. It offers an easy way to add items using a dialog,
and to move items accross different panels.

%package -n %{libname}
Summary:        Panel library for the Xfce desktop environment
Group:          Graphical desktop/XFCE
Requires:       %{name}

%description -n %{libname}
Panel library for the Xfce desktop environment.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Graphical desktop/XFCE
Obsoletes:  %{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:   %{name}

%description -n %{devname}
Development files and headers for %{name}.


%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-static
%make_build

%install
rm -rf %buildroot
%make_install

#panel settings
install -m 0644 %SOURCE1 %{buildroot}/%{_sysconfdir}/xdg/xfce4/panel/default.xml

# don't ship .la
find %{buildroot} -name "*.la" -delete
rm -rf %buildroot/%{_datadir}/gtk-doc

%files
%dir %{_sysconfdir}/xdg/xfce4/panel
%dir %{_libdir}/xfce4/panel
%dir %{_libdir}/xfce4/panel/plugins
%dir %{_datadir}/xfce4/panel
%dir %{_datadir}/xfce4/panel/plugins
%{_sysconfdir}/xdg/xfce4/panel/default.xml
%{_bindir}/*
%{_libdir}/xfce4/panel/plugins/libactions.so
%{_libdir}/xfce4/panel/plugins/libapplicationsmenu.so
%{_libdir}/xfce4/panel/plugins/libclock.so
%{_libdir}/xfce4/panel/plugins/libdirectorymenu.so
%{_libdir}/xfce4/panel/plugins/liblauncher.so
%{_libdir}/xfce4/panel/plugins/libpager.so
%{_libdir}/xfce4/panel/plugins/libseparator.so
%{_libdir}/xfce4/panel/plugins/libshowdesktop.so
%{_libdir}/xfce4/panel/plugins/libsystray.so
%{_libdir}/xfce4/panel/plugins/libtasklist.so
%{_libdir}/xfce4/panel/plugins/libwindowmenu.so
%{_datadir}/xfce4/panel/plugins/actions.desktop
%{_datadir}/xfce4/panel/plugins/applicationsmenu.desktop
%{_datadir}/xfce4/panel/plugins/clock.desktop
%{_datadir}/xfce4/panel/plugins/directorymenu.desktop
%{_datadir}/xfce4/panel/plugins/launcher.desktop
%{_datadir}/xfce4/panel/plugins/pager.desktop
%{_datadir}/xfce4/panel/plugins/separator.desktop
%{_datadir}/xfce4/panel/plugins/showdesktop.desktop
%{_datadir}/xfce4/panel/plugins/systray.desktop
%{_datadir}/xfce4/panel/plugins/tasklist.desktop
%{_datadir}/xfce4/panel/plugins/windowmenu.desktop
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/org.xfce.panel*.png
%{_iconsdir}/hicolor/*/apps/org.xfce.panel*.svg
%{_libdir}/xfce4/panel/migrate
%{_libdir}/xfce4/panel/wrapper-*
%{_datadir}/locale

%files -n %{libname}
%{_libdir}/libxfce4panel-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Libxfce4panel-%{gmajor}.typelib

%files -n %{devname}
%{_libdir}/libxfce4panel-%{api}.so
%{_libdir}/pkgconfig/libxfce4panel-%{api}.pc
%{_includedir}/xfce4/libxfce4panel-%{api}/
%{_datadir}/gir-1.0/Libxfce4panel-%{gmajor}.gir
%{_datadir}/vala/vapi/libxfce4panel-%{api}.deps
%{_datadir}/vala/vapi/libxfce4panel-%{api}.vapi

%changelog
* Sat Mar 02 2024 tex - 4.18.6-1pclos2024
- new version

* Wed Sep 27 2023 tex - 4.18.5-1pclos2023
- new version

* Wed Mar 29 2023 tex - 4.18.3-1pclos2023
- new version

* Thu Feb 09 2023 tex - 4.18.2-1pclos2023
- new version

* Wed Jan 11 2023 tex - 4.18.1-1pclos2023
- new version

* Thu Dec 15 2022 tex - 4.18.0-1pclos2022
- new version

* Mon Dec 12 2022 tex - 4.17.5-1pclos2022
- prepare for 4.18 final
